/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.browser;

/**
 * Thrown to indicate a general browser exception.
 *
 * @author Daniel Cavalcanti
 */
public class BrowserException
    extends RuntimeException {
    
    /**
     * Creates a new instance of <code>BrowserException</code>.
     */
    public BrowserException() {
        super();
    }
    
    /**
     * Creates a new instance of <code>BrowserException</code>.
     * 
     * @param message The exception message.
     */
    public BrowserException(String message) {
        super(message);
    }
    
    /**
     * Creates a new instance of <code>BrowserException</code>.
     * 
     * @param cause The root cause.
     */
    public BrowserException(Throwable cause) {
        super(cause);
    }
    
    /**
     * Creates a new instance of <code>BrowserException</code>.
     * 
     * @param message The exception message.
     * @param cause The root cause.
     */
    public BrowserException(String message, Throwable cause) {
        super(message, cause);
    }
    
}
