/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * Factory class for this package classes.
 *
 * @author Daniel Cavalcanti
 */
@XmlRegistry()
public class ObjectFactory {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private final static QName _SendResponse_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "sendResponse");
    private final static QName _ProducerException_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "ProducerException");
    private final static QName _Send_QNAME = new QName("http://producer.collector.flexiq.localmatters.com/", "send");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ObjectFactory.
     */
    public ObjectFactory() {
    }
    
    // **********************************************************************
    // Factory methods
    // **********************************************************************
    
    /**
     * Create an instance of {@link Send}.
     */
    public Send createSend() {
        return new Send();
    }
    
    /**
     * Create an instance of {@link SendResponse}.
     */
    public SendResponse createSendResponse() {
        return new SendResponse();
    }
    
    /**
     * Create an instance of {@link ProducerException}.
     */
    public ProducerException createProducerException() {
        return new ProducerException();
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link SendResponse}{@code >}.
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "sendResponse")
    public JAXBElement<SendResponse> createSendResponse(SendResponse value) {
        return new JAXBElement<SendResponse>(_SendResponse_QNAME, SendResponse.class, null, value);
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link ProducerException}{@code >}.
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "ProducerException")
    public JAXBElement<ProducerException> createProducerException(ProducerException value) {
        return new JAXBElement<ProducerException>(_ProducerException_QNAME, ProducerException.class, null, value);
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link Send}{@code >}.
     */
    @XmlElementDecl(namespace = "http://producer.collector.flexiq.localmatters.com/", name = "send")
    public JAXBElement<Send> createSend(Send value) {
        return new JAXBElement<Send>(_Send_QNAME, Send.class, null, value);
    }
    
}
