/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * Factory class for this package classes.
 *
 * @author Daniel Cavalcanti
 */
@XmlRegistry()
public class ObjectFactory {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private final static QName _Retrieve_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "retrieve");
    private final static QName _ConsumerException_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "ConsumerException");
    private final static QName _RetrieveResponse_QNAME = new QName("http://consumer.collector.flexiq.localmatters.com/", "retrieveResponse");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ObjectFactory.
     */
    public ObjectFactory() {
    }
    
    // **********************************************************************
    // Factory methods
    // **********************************************************************
    
    /**
     * Creates an instance of {@link RetrieveResponse}.
     */
    public RetrieveResponse createRetrieveResponse() {
        return new RetrieveResponse();
    }
    
    /**
     * Creates an instance of {@link ConsumerException}.
     */
    public ConsumerException createConsumerException() {
        return new ConsumerException();
    }
    
    /**
     * Creates an instance of {@link ResultMessage}.
     */
    public ResultMessage createResultMessage() {
        return new ResultMessage();
    }
    
    /**
     * Creates an instance of {@link Retrieve}.
     */
    public Retrieve createRetrieve() {
        return new Retrieve();
    }
    
    /**
     * Creates an instance of {@link JAXBElement}{@code <}{@link Retrieve}{@code >}.
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "retrieve")
    public JAXBElement<Retrieve> createRetrieve(Retrieve value) {
        return new JAXBElement<Retrieve>(_Retrieve_QNAME, Retrieve.class, null, value);
    }
    
    /**
     * Creates an instance of {@link JAXBElement}{@code <}{@link ConsumerException}{@code >}.
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "ConsumerException")
    public JAXBElement<ConsumerException> createConsumerException(ConsumerException value) {
        return new JAXBElement<ConsumerException>(_ConsumerException_QNAME, ConsumerException.class, null, value);
    }
    
    /**
     * Creates an instance of {@link JAXBElement}{@code <}{@link RetrieveResponse}{@code >}.
     */
    @XmlElementDecl(namespace = "http://consumer.collector.flexiq.localmatters.com/", name = "retrieveResponse")
    public JAXBElement<RetrieveResponse> createRetrieveResponse(RetrieveResponse value) {
        return new JAXBElement<RetrieveResponse>(_RetrieveResponse_QNAME, RetrieveResponse.class, null, value);
    }
    
}
