/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * The ConsumerWS retrieve method parameters container class.
 *
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "retrieve", propOrder = {"username", "password", "jndiDestination", "maxMessages", "compressed"})
public class Retrieve {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    protected String username;
    protected String password;
    protected String jndiDestination;
    protected int maxMessages;
    protected boolean compressed;
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the username property.
     *
     * @return The value of the username property.
     */
    public String getUsername() {
        return username;
    }
    
    /**
     * Sets the value of the username property.
     *
     * @param value The value of the username property.
     */
    public void setUsername(String value) {
        this.username = value;
    }
    
    /**
     * Gets the value of the password property.
     *
     * @return The value of the password property.
     */
    public String getPassword() {
        return password;
    }
    
    /**
     * Sets the value of the password property.
     *
     * @param value The value of the password property.
     */
    public void setPassword(String value) {
        this.password = value;
    }
    
    /**
     * Gets the value of the jndiDestination property.
     *
     * @return The value of the jndiDestination property.
     */
    public String getJndiDestination() {
        return jndiDestination;
    }
    
    /**
     * Sets the value of the jndiDestination property.
     *
     * @param value The value of the jndiDestination property.
     */
    public void setJndiDestination(String value) {
        this.jndiDestination = value;
    }
    
    /**
     * Gets the value of the maxMessages property.
     *
     * @return The value of the maxMessages property.
     */
    public int getMaxMessages() {
        return maxMessages;
    }
    
    /**
     * Sets the value of the maxMessages property.
     *
     * @param value The value of the maxMessages property.
     */
    public void setMaxMessages(int value) {
        this.maxMessages = value;
    }
    
    /**
     * Gets the value of the compressed property.
     *
     * @return The value of the compressed property.
     */
    public boolean isCompressed() {
        return compressed;
    }
    
    /**
     * Sets the value of the compressed property.
     *
     * @param value The value of the compressed property.
     */
    public void setCompressed(boolean value) {
        this.compressed = value;
    }
    
}
