/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.consumer;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The ConsumerWS return container class for the retrieve method.
 * 
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "retrieveResponse", propOrder = {"_return"})
public class RetrieveResponse {

    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    @XmlElement(name = "return", nillable = true)
    protected List<ResultMessage> _return;

    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the return property.
     * 
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getReturn().add(newItem);
     * </pre>
     * 
     * @return The value of the return property.
     */
    public List<ResultMessage> getReturn() {
        if (_return == null)
            _return = new ArrayList<ResultMessage>();
        return this._return;
    }

}
