/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * The DashBoardWS getQueueMessageCount method parameters container class.
 *
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getQueueMessageCount", propOrder = {"username", "password", "queueJndiName"})
public class GetQueueMessageCount {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    protected String username;
    protected String password;
    protected String queueJndiName;
    
    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the username property.
     *
     * @return The value of the username property.
     */
    public String getUsername() {
        return username;
    }
    
    /**
     * Sets the value of the username property.
     *
     * @param value The value of the username property.
     */
    public void setUsername(String value) {
        this.username = value;
    }
    
    /**
     * Gets the value of the password property.
     *
     * @return The value of the password property.
     */
    public String getPassword() {
        return password;
    }
    
    /**
     * Sets the value of the password property.
     *
     * @param value The value of the password property.
     */
    public void setPassword(String value) {
        this.password = value;
    }
    
    /**
     * Gets the value of the queueJndiName property.
     *
     * @return The value of the queueJndiName property.
     */
    public String getQueueJndiName() {
        return queueJndiName;
    }
    
    /**
     * Sets the value of the queueJndiName property.
     *
     * @param value The value of the queueJndiName property.
     */
    public void setQueueJndiName(String value) {
        this.queueJndiName = value;
    }
    
}
