/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

/**
 * The DashBoardWS return container class for the getQueueMessageCount method.
 * 
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "getQueueMessageCountResponse", propOrder = {"_return"})
public class GetQueueMessageCountResponse {

    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    @XmlElement(name = "return")
    protected int _return;

    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the return property.
     * 
     * @return The value of the return property.
     */
    public int getReturn() {
        return _return;
    }

    /**
     * Sets the value of the return property.
     * 
     * @param value The value of the return property.
     */
    public void setReturn(int value) {
        this._return = value;
    }

}
