/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.dashboard;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * Factory class for this package classes.
 *
 * @author Daniel Cavalcanti
 */
@XmlRegistry()
public class ObjectFactory {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    private final static QName _GetQueueMessageCountResponse_QNAME = new QName("http://dashboard.collector.flexiq.localmatters.com/", "getQueueMessageCountResponse");
    private final static QName _DashBoardException_QNAME = new QName("http://dashboard.collector.flexiq.localmatters.com/", "DashBoardException");
    private final static QName _GetQueueMessageCount_QNAME = new QName("http://dashboard.collector.flexiq.localmatters.com/", "getQueueMessageCount");
    
    // **********************************************************************
    // Constructors
    // **********************************************************************
    
    /**
     * Creates a new instance of ObjectFactory.
     */
    public ObjectFactory() {
    }
    
    // **********************************************************************
    // Factory methods
    // **********************************************************************
    
    /**
     * Create an instance of {@link DashBoardException}.
     */
    public DashBoardException createDashBoardException() {
        return new DashBoardException();
    }
    
    /**
     * Create an instance of {@link GetQueueMessageCountResponse}.
     */
    public GetQueueMessageCountResponse createGetQueueMessageCountResponse() {
        return new GetQueueMessageCountResponse();
    }
    
    /**
     * Create an instance of {@link GetQueueMessageCount}.
     */
    public GetQueueMessageCount createGetQueueMessageCount() {
        return new GetQueueMessageCount();
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link GetQueueMessageCountResponse}{@code >}.
     */
    @XmlElementDecl(namespace = "http://dashboard.collector.flexiq.localmatters.com/", name = "getQueueMessageCountResponse")
    public JAXBElement<GetQueueMessageCountResponse> createGetQueueMessageCountResponse(GetQueueMessageCountResponse value) {
        return new JAXBElement<GetQueueMessageCountResponse>(_GetQueueMessageCountResponse_QNAME, GetQueueMessageCountResponse.class, null, value);
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link DashBoardException}{@code >}.
     */
    @XmlElementDecl(namespace = "http://dashboard.collector.flexiq.localmatters.com/", name = "DashBoardException")
    public JAXBElement<DashBoardException> createDashBoardException(DashBoardException value) {
        return new JAXBElement<DashBoardException>(_DashBoardException_QNAME, DashBoardException.class, null, value);
    }
    
    /**
     * Create an instance of {@link JAXBElement}{@code <}{@link GetQueueMessageCount}{@code >}.
     */
    @XmlElementDecl(namespace = "http://dashboard.collector.flexiq.localmatters.com/", name = "getQueueMessageCount")
    public JAXBElement<GetQueueMessageCount> createGetQueueMessageCount(GetQueueMessageCount value) {
        return new JAXBElement<GetQueueMessageCount>(_GetQueueMessageCount_QNAME, GetQueueMessageCount.class, null, value);
    }
    
}
