/*
 * Local Matters, Inc. Confidential
 * OCO Source Materials
 * (C) Local Matters, Inc. 2007. All Rights Reserved.
 */
package com.localmatters.flexiq.collector.client.producer;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

/**
 * The ProducerException web (service) fault.
 *
 * @author Daniel Cavalcanti
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProducerException", propOrder = {"message"})
public class ProducerException {
    
    // **********************************************************************
    // Instance variables
    // **********************************************************************
    
    protected String message;

    // **********************************************************************
    // Getter/Setter methods
    // **********************************************************************
    
    /**
     * Gets the value of the message property.
     * 
     * @return The value of the message property.
     */
    public String getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value The value of the message property.
     */
    public void setMessage(String value) {
        this.message = value;
    }

}
